name: '🏷️ Tag Release'

on:
  push:
    tags:
      - '*'

jobs:
  build-binaries:
    name: '🏗️ Build Binaries'
    uses: acidicoala/SmokeAPI/.github/workflows/matrix-build.yml@master

  create-release:
    name: '📦 Create Release'
    uses: acidicoala/KoalaBox/.github/workflows/create-release.yml@master
    needs: build-binaries
    with:
      zip_files: >
        res/README.txt
        res/SmokeAPI.config.json
